class AccountDetailsBean {
  bool status;
  int statusCode;
  String message;
  List<AccountListBean> data;

  AccountDetailsBean({this.status, this.statusCode, this.message, this.data});

  AccountDetailsBean.fromJson(Map<String, dynamic> json) {
    status = json['status'];
    statusCode = json['status_code'];
    message = json['message'];
    if (json['data'] != null) {
      data = new List<AccountListBean>();
      json['data'].forEach((v) {
        data.add(new AccountListBean.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['status'] = this.status;
    data['status_code'] = this.statusCode;
    data['message'] = this.message;
    if (this.data != null) {
      data['data'] = this.data.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class AccountListBean {
  int id;
  String companyname;
  String email;
  dynamic phone;
  dynamic website;
  Industry industry;
  int annualrevenue;
  int noofemployees;
  String area;
  String address1;
  String address2;
  String state;
  int pincode;
  String country;
  OwnerId ownerId;
  Industry statusid;
  String createdAt;
  String updatedAt;

  AccountListBean(
      {this.id,
      this.companyname,
      this.email,
      this.phone,
      this.website,
      this.industry,
      this.annualrevenue,
      this.noofemployees,
      this.area,
      this.address1,
      this.address2,
      this.state,
      this.pincode,
      this.country,
      this.ownerId,
      this.statusid,
      this.createdAt,
      this.updatedAt});

  AccountListBean.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    companyname = json['companyname'];
    email = json['email'];
    phone = json['phone'];
    website = json['website'];
    industry = json['industry'] != null
        ? new Industry.fromJson(json['industry'])
        : null;
    annualrevenue = json['annualrevenue'];
    noofemployees = json['noofemployees'];
    area = json['area'];
    address1 = json['address1'];
    address2 = json['address2'];
    state = json['state'];
    pincode = json['pincode'];
    country = json['country'];
    ownerId = json['owner_id'] != null
        ? new OwnerId.fromJson(json['owner_id'])
        : null;
    statusid = json['statusid'] != null
        ? new Industry.fromJson(json['statusid'])
        : null;
    createdAt = json['created_at'];
    updatedAt = json['updated_at'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['companyname'] = this.companyname;
    data['email'] = this.email;
    data['phone'] = this.phone;
    data['website'] = this.website;
    if (this.industry != null) {
      data['industry'] = this.industry.toJson();
    }
    data['annualrevenue'] = this.annualrevenue;
    data['noofemployees'] = this.noofemployees;
    data['area'] = this.area;
    data['address1'] = this.address1;
    data['address2'] = this.address2;
    data['state'] = this.state;
    data['pincode'] = this.pincode;
    data['country'] = this.country;
    if (this.ownerId != null) {
      data['owner_id'] = this.ownerId.toJson();
    }
    if (this.statusid != null) {
      data['statusid'] = this.statusid.toJson();
    }
    data['created_at'] = this.createdAt;
    data['updated_at'] = this.updatedAt;
    return data;
  }
}

class Industry {
  int id;
  String page;
  String key;
  String name;
  String status;
  String desc;
  String createdAt;
  String updatedAt;

  Industry(
      {this.id,
      this.page,
      this.key,
      this.name,
      this.status,
      this.desc,
      this.createdAt,
      this.updatedAt});

  Industry.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    page = json['page'];
    key = json['key'];
    name = json['name'];
    status = json['status'];
    desc = json['desc'];
    createdAt = json['created_at'];
    updatedAt = json['updated_at'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['page'] = this.page;
    data['key'] = this.key;
    data['name'] = this.name;
    data['status'] = this.status;
    data['desc'] = this.desc;
    data['created_at'] = this.createdAt;
    data['updated_at'] = this.updatedAt;
    return data;
  }
}

class OwnerId {
  int id;
  String uid;
  Null fcmids;
  String name;
  String email;
  int phone;
  String photourl;
  int roleid;
  String status;
  String createdAt;
  String updatedAt;

  OwnerId(
      {this.id,
      this.uid,
      this.fcmids,
      this.name,
      this.email,
      this.phone,
      this.photourl,
      this.roleid,
      this.status,
      this.createdAt,
      this.updatedAt});

  OwnerId.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    uid = json['uid'];
    fcmids = json['fcmids'];
    name = json['name'];
    email = json['email'];
    phone = json['phone'];
    photourl = json['photourl'];
    roleid = json['roleid'];
    status = json['status'];
    createdAt = json['created_at'];
    updatedAt = json['updated_at'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['uid'] = this.uid;
    data['fcmids'] = this.fcmids;
    data['name'] = this.name;
    data['email'] = this.email;
    data['phone'] = this.phone;
    data['photourl'] = this.photourl;
    data['roleid'] = this.roleid;
    data['status'] = this.status;
    data['created_at'] = this.createdAt;
    data['updated_at'] = this.updatedAt;
    return data;
  }
}
