class ContactDetailsBean {
  bool status;
  int statusCode;
  String message;
  List<ContactListBean> data;

  ContactDetailsBean({this.status, this.statusCode, this.message, this.data});

  ContactDetailsBean.fromJson(Map<String, dynamic> json) {
    status = json['status'];
    statusCode = json['status_code'];
    message = json['message'];
    if (json['data'] != null) {
      data = new List<ContactListBean>();
      json['data'].forEach((v) {
        data.add(new ContactListBean.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['status'] = this.status;
    data['status_code'] = this.statusCode;
    data['message'] = this.message;
    if (this.data != null) {
      data['data'] = this.data.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class ContactListBean {
  int id;
  Accountid accountid;
  String firstname;
  String secondName;
  String email;
  dynamic mobile;
  dynamic phone;
  String dept;
  String title;
  String area;
  String address1;
  String address2;
  String state;
  Statusid statusid;
  String createdAt;
  String updatedAt;

  ContactListBean(
      {this.id,
      this.accountid,
      this.firstname,
      this.secondName,
      this.email,
      this.mobile,
      this.phone,
      this.dept,
      this.title,
      this.area,
      this.address1,
      this.address2,
      this.state,
      this.statusid,
      this.createdAt,
      this.updatedAt});

  ContactListBean.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    accountid = json['accountid'] != null
        ? new Accountid.fromJson(json['accountid'])
        : null;
    firstname = json['firstname'];
    secondName = json['secondName'];
    email = json['email'];
    mobile = json['mobile'];
    phone = json['phone'];
    dept = json['dept'];
    title = json['title'];
    area = json['area'];
    address1 = json['address1'];
    address2 = json['address2'];
    state = json['state'];
    statusid = json['statusid'] != null
        ? new Statusid.fromJson(json['statusid'])
        : null;
    createdAt = json['created_at'];
    updatedAt = json['updated_at'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    if (this.accountid != null) {
      data['accountid'] = this.accountid.toJson();
    }
    data['firstname'] = this.firstname;
    data['secondName'] = this.secondName;
    data['email'] = this.email;
    data['mobile'] = this.mobile;
    data['phone'] = this.phone;
    data['dept'] = this.dept;
    data['title'] = this.title;
    data['area'] = this.area;
    data['address1'] = this.address1;
    data['address2'] = this.address2;
    data['state'] = this.state;
    if (this.statusid != null) {
      data['statusid'] = this.statusid.toJson();
    }
    data['created_at'] = this.createdAt;
    data['updated_at'] = this.updatedAt;
    return data;
  }
}

class Accountid {
  int id;
  String companyname;
  String email;
  dynamic phone;
  dynamic website;
  int industry;
  int annualrevenue;
  int noofemployees;
  String area;
  String address1;
  String address2;
  String state;
  int pincode;
  String country;
  int ownerId;
  int statusid;
  String createdAt;
  String updatedAt;

  Accountid(
      {this.id,
      this.companyname,
      this.email,
      this.phone,
      this.website,
      this.industry,
      this.annualrevenue,
      this.noofemployees,
      this.area,
      this.address1,
      this.address2,
      this.state,
      this.pincode,
      this.country,
      this.ownerId,
      this.statusid,
      this.createdAt,
      this.updatedAt});

  Accountid.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    companyname = json['companyname'];
    email = json['email'];
    phone = json['phone'];
    website = json['website'];
    industry = json['industry'];
    annualrevenue = json['annualrevenue'];
    noofemployees = json['noofemployees'];
    area = json['area'];
    address1 = json['address1'];
    address2 = json['address2'];
    state = json['state'];
    pincode = json['pincode'];
    country = json['country'];
    ownerId = json['owner_id'];
    statusid = json['statusid'];
    createdAt = json['created_at'];
    updatedAt = json['updated_at'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['companyname'] = this.companyname;
    data['email'] = this.email;
    data['phone'] = this.phone;
    data['website'] = this.website;
    data['industry'] = this.industry;
    data['annualrevenue'] = this.annualrevenue;
    data['noofemployees'] = this.noofemployees;
    data['area'] = this.area;
    data['address1'] = this.address1;
    data['address2'] = this.address2;
    data['state'] = this.state;
    data['pincode'] = this.pincode;
    data['country'] = this.country;
    data['owner_id'] = this.ownerId;
    data['statusid'] = this.statusid;
    data['created_at'] = this.createdAt;
    data['updated_at'] = this.updatedAt;
    return data;
  }
}

class Statusid {
  int id;
  String page;
  String key;
  String name;
  String status;
  String desc;
  String createdAt;
  String updatedAt;

  Statusid(
      {this.id,
      this.page,
      this.key,
      this.name,
      this.status,
      this.desc,
      this.createdAt,
      this.updatedAt});

  Statusid.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    page = json['page'];
    key = json['key'];
    name = json['name'];
    status = json['status'];
    desc = json['desc'];
    createdAt = json['created_at'];
    updatedAt = json['updated_at'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['page'] = this.page;
    data['key'] = this.key;
    data['name'] = this.name;
    data['status'] = this.status;
    data['desc'] = this.desc;
    data['created_at'] = this.createdAt;
    data['updated_at'] = this.updatedAt;
    return data;
  }
}
