class LeadsDetailsBean {
  bool status;
  int statusCode;
  String message;
  List<LeadsListBean> data;

  LeadsDetailsBean({this.status, this.statusCode, this.message, this.data});

  LeadsDetailsBean.fromJson(Map<String, dynamic> json) {
    status = json['status'];
    statusCode = json['status_code'];
    message = json['message'];
    if (json['data'] != null) {
      data = new List<LeadsListBean>();
      json['data'].forEach((v) {
        data.add(new LeadsListBean.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['status'] = this.status;
    data['status_code'] = this.statusCode;
    data['message'] = this.message;
    if (this.data != null) {
      data['data'] = this.data.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class LeadsListBean {
  int id;
  String title;
  String firstname;
  String lastname;
  String email;
  dynamic phone;
  int leadSourceId;
  String companyname;
  dynamic website;
  Industry industry;
  int annualrevenue;
  int noofemployees;
  String description;
  int salesarea;
  String address1;
  String address2;
  String state;
  int pincode;
  String country;
  String tags;
  OwnerId ownerId;
  Industry statusid;
  Accountid accountid;
  OwnerId createdby;
  OwnerId updatedby;
  String createdAt;
  String updatedAt;
  Industry industryLeadSourceId;

  LeadsListBean(
      {this.id,
      this.title,
      this.firstname,
      this.lastname,
      this.email,
      this.phone,
      this.leadSourceId,
      this.companyname,
      this.website,
      this.industry,
      this.annualrevenue,
      this.noofemployees,
      this.description,
      this.salesarea,
      this.address1,
      this.address2,
      this.state,
      this.pincode,
      this.country,
      this.tags,
      this.ownerId,
      this.statusid,
      this.accountid,
      this.createdby,
      this.updatedby,
      this.createdAt,
      this.updatedAt,
      this.industryLeadSourceId});

  LeadsListBean.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    title = json['title'];
    firstname = json['firstname'];
    lastname = json['lastname'];
    email = json['email'];
    phone = json['phone'];
    leadSourceId = json['leadSourceId'];
    companyname = json['companyname'];
    website = json['website'];
    industry = json['industry'] != null
        ? new Industry.fromJson(json['industry'])
        : null;
    annualrevenue = json['annualrevenue'];
    noofemployees = json['noofemployees'];
    description = json['description'];
    salesarea = json['salesarea'];
    address1 = json['address1'];
    address2 = json['address2'];
    state = json['state'];
    pincode = json['pincode'];
    country = json['country'];
    tags = json['tags'];
    ownerId = json['owner_id'] != null
        ? new OwnerId.fromJson(json['owner_id'])
        : null;
    statusid = json['statusid'] != null
        ? new Industry.fromJson(json['statusid'])
        : null;
    accountid = json['accountid'] != null
        ? new Accountid.fromJson(json['accountid'])
        : null;
    createdby = json['createdby'] != null
        ? new OwnerId.fromJson(json['createdby'])
        : null;
    updatedby = json['updatedby'] != null
        ? new OwnerId.fromJson(json['updatedby'])
        : null;
    createdAt = json['created_at'];
    updatedAt = json['updated_at'];
    industryLeadSourceId = json['lead_source_id'] != null
        ? new Industry.fromJson(json['lead_source_id'])
        : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['title'] = this.title;
    data['firstname'] = this.firstname;
    data['lastname'] = this.lastname;
    data['email'] = this.email;
    data['phone'] = this.phone;
    data['leadSourceId'] = this.leadSourceId;
    data['companyname'] = this.companyname;
    data['website'] = this.website;
    if (this.industry != null) {
      data['industry'] = this.industry.toJson();
    }
    data['annualrevenue'] = this.annualrevenue;
    data['noofemployees'] = this.noofemployees;
    data['description'] = this.description;
    data['salesarea'] = this.salesarea;
    data['address1'] = this.address1;
    data['address2'] = this.address2;
    data['state'] = this.state;
    data['pincode'] = this.pincode;
    data['country'] = this.country;
    data['tags'] = this.tags;
    if (this.ownerId != null) {
      data['owner_id'] = this.ownerId.toJson();
    }
    if (this.statusid != null) {
      data['statusid'] = this.statusid.toJson();
    }
    if (this.accountid != null) {
      data['accountid'] = this.accountid.toJson();
    }
    if (this.createdby != null) {
      data['createdby'] = this.createdby.toJson();
    }
    if (this.updatedby != null) {
      data['updatedby'] = this.updatedby.toJson();
    }
    data['created_at'] = this.createdAt;
    data['updated_at'] = this.updatedAt;
    if (this.leadSourceId != null) {
      data['lead_source_id'] = this.industryLeadSourceId.toJson();
    }
    return data;
  }
}

class Industry {
  int id;
  String page;
  String key;
  String name;
  String status;
  String desc;
  String createdAt;
  String updatedAt;

  Industry(
      {this.id,
      this.page,
      this.key,
      this.name,
      this.status,
      this.desc,
      this.createdAt,
      this.updatedAt});

  Industry.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    page = json['page'];
    key = json['key'];
    name = json['name'];
    status = json['status'];
    desc = json['desc'];
    createdAt = json['created_at'];
    updatedAt = json['updated_at'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['page'] = this.page;
    data['key'] = this.key;
    data['name'] = this.name;
    data['status'] = this.status;
    data['desc'] = this.desc;
    data['created_at'] = this.createdAt;
    data['updated_at'] = this.updatedAt;
    return data;
  }
}

class OwnerId {
  int id;
  String uid;
  Null fcmids;
  String name;
  String email;
  int phone;
  String photourl;
  int roleid;
  String status;
  String createdAt;
  String updatedAt;

  OwnerId(
      {this.id,
      this.uid,
      this.fcmids,
      this.name,
      this.email,
      this.phone,
      this.photourl,
      this.roleid,
      this.status,
      this.createdAt,
      this.updatedAt});

  OwnerId.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    uid = json['uid'];
    fcmids = json['fcmids'];
    name = json['name'];
    email = json['email'];
    phone = json['phone'];
    photourl = json['photourl'];
    roleid = json['roleid'];
    status = json['status'];
    createdAt = json['created_at'];
    updatedAt = json['updated_at'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['uid'] = this.uid;
    data['fcmids'] = this.fcmids;
    data['name'] = this.name;
    data['email'] = this.email;
    data['phone'] = this.phone;
    data['photourl'] = this.photourl;
    data['roleid'] = this.roleid;
    data['status'] = this.status;
    data['created_at'] = this.createdAt;
    data['updated_at'] = this.updatedAt;
    return data;
  }
}

class Accountid {
  int id;
  String companyname;
  String email;
  int phone;
  String website;
  int industry;
  int annualrevenue;
  int noofemployees;
  String area;
  String address1;
  String address2;
  String state;
  int pincode;
  String country;
  int ownerId;
  int statusid;
  String createdAt;
  String updatedAt;

  Accountid(
      {this.id,
      this.companyname,
      this.email,
      this.phone,
      this.website,
      this.industry,
      this.annualrevenue,
      this.noofemployees,
      this.area,
      this.address1,
      this.address2,
      this.state,
      this.pincode,
      this.country,
      this.ownerId,
      this.statusid,
      this.createdAt,
      this.updatedAt});

  Accountid.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    companyname = json['companyname'];
    email = json['email'];
    phone = json['phone'];
    website = json['website'];
    industry = json['industry'];
    annualrevenue = json['annualrevenue'];
    noofemployees = json['noofemployees'];
    area = json['area'];
    address1 = json['address1'];
    address2 = json['address2'];
    state = json['state'];
    pincode = json['pincode'];
    country = json['country'];
    ownerId = json['owner_id'];
    statusid = json['statusid'];
    createdAt = json['created_at'];
    updatedAt = json['updated_at'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['companyname'] = this.companyname;
    data['email'] = this.email;
    data['phone'] = this.phone;
    data['website'] = this.website;
    data['industry'] = this.industry;
    data['annualrevenue'] = this.annualrevenue;
    data['noofemployees'] = this.noofemployees;
    data['area'] = this.area;
    data['address1'] = this.address1;
    data['address2'] = this.address2;
    data['state'] = this.state;
    data['pincode'] = this.pincode;
    data['country'] = this.country;
    data['owner_id'] = this.ownerId;
    data['statusid'] = this.statusid;
    data['created_at'] = this.createdAt;
    data['updated_at'] = this.updatedAt;
    return data;
  }
}
