import 'package:bui_component/CardComponent/cardComponent.dart';
import 'package:example/Constants/AppColors.dart';
import 'package:example/Constants/fontSize.dart';
import 'package:flutter/material.dart';

class ButtonView extends StatefulWidget {
  @override
  _ButtonViewState createState() => _ButtonViewState();
}

class _ButtonViewState extends State<ButtonView> {
  List<String> taskName = ["Upcoming Task", "Completed Task"];

  List<TaskBeanDemo> task = [
    TaskBeanDemo(
        taskDate: "4 Dec, 2021",
        taskDescription: "Sharing the business proposal",
        taskName: "Call",
        taskProcess: "Completed Task",
        taskStatus: true,
        taskStatusColor: AppColors.APP_GREEN),
  ];

  List<NotesBeanDemo> notes = [
    NotesBeanDemo(
      notesDate: "4 Dec, 2021",
      notesDesc:
          "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum. Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.",
    ),
    NotesBeanDemo(
      notesDate: "4 Dec, 2021",
      notesDesc:
          "Test Value sdhbasdbhashjbdjh",
    ),
    NotesBeanDemo(
      notesDate: "4 Dec, 2021",
      notesDesc:
          "Test Value sdhbasdbhashjbdjh adkjsabjdkjas hhhh2",
    ),
  ];

  bool showFloating = false;
  bool isActiveStatus = false;
  int indexValue;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: DefaultTabController(
      length: 3,
      child: NestedScrollView(
          headerSliverBuilder: (BuildContext context, bool innerBoxIsScrolled) {
            return <Widget>[
              SliverAppBar(
                expandedHeight: 150.0,
                floating: true,
                pinned: true,
                title: Text("Info"),
                /*Text(widget.accountListBeanData.companyname != null
                      ? widget.accountListBeanData.companyname
                      : widget.pageTitle),*/
                backgroundColor: AppColors.APP_COLOR_PRIMARY,
                bottom: TabBar(
                  onTap: (index) {
                    indexValue = index;
                    if (index == 1) {
                      setState(() {
                        showFloating = true;
                      });
                    } else if (index == 2) {
                      setState(() {
                        showFloating = true;
                      });
                    } else {
                      setState(() {
                        showFloating = false;
                      });
                    }
                  },
                  indicatorColor: AppColors.APP_COLOR_PRIMARY,
                  labelColor: Colors.black87,
                  unselectedLabelColor: Colors.grey,
                  tabs: [
                    Tab(
                      // text: "Account Info",
                      child: Container(
                        child: Text(
                          "Test",
                          style: TextStyle(
                              color: AppColors.APP_COLOR_WHITE,
                              fontSize: 15,
                              fontWeight: FontWeight.bold),
                        ),
                      ),
                    ),
                    Tab(
                      child: Container(
                        child: Text(
                          "Task",
                          style: TextStyle(
                              color: AppColors.APP_COLOR_WHITE,
                              fontSize: 15,
                              fontWeight: FontWeight.bold),
                        ),
                      ),
                    ),
                    Tab(
                      child: Container(
                        child: Text(
                          "NOTES",
                          style: TextStyle(
                              color: AppColors.APP_COLOR_WHITE,
                              fontSize: 15,
                              fontWeight: FontWeight.bold),
                        ),
                      ),
                    ),
                  ],
                ),
              ),
            ];
          },
          body: TabBarView(
            physics: NeverScrollableScrollPhysics(),
            children: [
              _notesView,
              _taskView,
              _notesView,
            ],
          )),
    ));
  }

  Widget get _taskView {
    return ListView.builder(
      itemCount: taskName.length,
      itemBuilder: (_, index) {
        return ExpansionTile(
            title: Text(
              taskName[index].toString(),
              style: TextStyle(
                  color: AppColors.APP_COLOR_BLACK,
                  fontSize: FontSize.FONT_17,
                  fontWeight: FontWeight.bold),
            ),
            children: [
              ...task.map((e) {
                if (e.taskProcess == taskName[index]) {
                  return BUICard.taskCard(
                    cardStatus: e.taskProcess,
                    cardDesc: e.taskDescription,
                    cardDate: e.taskDate,
                    cardType: CardType.cardTask,
                    cardSize: CardSize.medium,
                    cardColor: Colors.white,
                    cardTextColor: Colors.black87,
                    width: MediaQuery.of(context).size.width,
                    padding: 5,
                    height: 120,
                    isActiveStatus: e.taskStatus,
                    shape: RoundedRectangleBorder(
                      borderRadius: BorderRadius.circular(15.0),
                    ),
                    elevation: 10,
                    //secondaryColor: AppColors.FACEBOOK_COLOR,
                    onStateChange: () {
                      setState(() {
                        //isActiveStatus = !isActiveStatus;
                        e.taskStatus = !e.taskStatus;
                        if (e.taskProcess == "Completed Task") {
                          e.taskProcess = "Upcoming Task";
                        } else {
                          e.taskProcess = "Completed Task";
                        }
                      });
                    },
                  );
                }
                return Container();
              }).toList(),
            ]);
      },
    );
  }

  Widget get _notesView {
    return ListView.builder(
        padding: const EdgeInsets.all(8),
        itemCount: notes.length,
        itemBuilder: (BuildContext context, int index) {
          return BUICard.notesCard(
            cardType: CardType.cardNotes,
            cardSize: CardSize.medium,
            cardAuthor: "Harish",
            cardColor: Colors.white,
            cardTextColor: Colors.black87,
            width: MediaQuery.of(context).size.width,
            padding: 2,
            height: 120,
            cardDesc: notes[index].notesDesc,
            cardDate: notes[index].notesDate,
            shape: RoundedRectangleBorder(
              borderRadius: BorderRadius.circular(15.0),
            ),
            elevation: 10,
            secondaryColor: AppColors.REDDISH_GREY,
            flag: flag,
            onStateChange: () {
              setState(() {
                flag = !flag;
              });
            },
          );

          /*   return Card(
            elevation: 10,
            child: new Container(
              padding: new EdgeInsets.symmetric(horizontal: 10.0, vertical: 10.0),
              child: Column(
                children: [


                  secondHalf.isEmpty
                      ? new Text(firstHalf)
                      : new Column(
                    children: <Widget>[
                      new Text(flag ? (firstHalf + "...") : (firstHalf + secondHalf)),
                      new InkWell(
                        child: new Row(
                          mainAxisAlignment: MainAxisAlignment.end,
                          children: <Widget>[
                            new Text(
                              flag ? "show more" : "show less",
                              style: new TextStyle(color: Colors.blue),
                            ),
                          ],
                        ),
                        onTap: () {
                          setState(() {
                            flag = !flag;
                          });
                        },
                      ),
                    ],
                  ),
                ],
              ),
            ),
          );*/
        });
  }

  String firstHalf;
  String secondHalf;
  final String description =
      "Flutter is Google’s mobile UI framework for crafting high-quality native interfaces on iOS and Android in record time. Flutter works with existing code, is used by developers and organizations around the world, and is free and open source.";

  bool flag = true;

  @override
  void initState() {
    super.initState();

    for (int i = 0; i < notes.length; i++) {
      if (notes[i].notesDesc.length > 50) {
        print("If====");
        firstHalf = notes[i].notesDesc.substring(0, 50);
        secondHalf =
            notes[i].notesDesc.substring(50, notes[i].notesDesc.length);
      } else {
        print("Else====");
        firstHalf = description;
        secondHalf = "";
      }
    }
  }
}

class TaskBeanDemo {
  String taskName;
  bool taskStatus = false;
  String taskDescription;
  String taskProcess;
  String taskDate;
  Color taskStatusColor;

  TaskBeanDemo(
      {this.taskName,
      this.taskStatus,
      this.taskDescription,
      this.taskProcess,
      this.taskDate,
      this.taskStatusColor});
}

class NotesBeanDemo {
  String notesDesc;
  String notesDate;

  NotesBeanDemo({this.notesDesc, this.notesDate});
}
