import 'package:bui_component/DrawerComonent/kfDrawer.dart';
import 'package:bui_component/MenuComponent.dart';
import 'package:example/Constants/AppColors.dart';
import 'package:example/Constants/AppStrings.dart';
import 'package:example/Constants/ImageAssets.dart';
import 'package:example/Firebase Classes/sign_in.dart';
import 'package:firebase_auth/firebase_auth.dart';
import 'package:flutter/material.dart';
import 'package:shared_preferences/shared_preferences.dart';

import '../Utils/class_builder.dart';
import 'ContactScreen.dart';
import 'DashBoardScreen.dart';
import 'HomeScreen.dart';
import 'LeadScreen.dart';

class MenuScreen extends StatefulWidget {
  @override
  MenuScreenState createState() => MenuScreenState();
}

class MenuScreenState extends State<MenuScreen> with TickerProviderStateMixin {
  KFDrawerController _drawerController;

  List<Color> colors = [AppColors.APP_COLOR_PRIMARY, AppColors.APP_COLOR_WHITE];

  @override
  void initState() {
    ClassBuilder.registerClasses();
    super.initState();
    getStringValuesSF();
    _drawerController = KFDrawerController(
      initialPage: ClassBuilder.fromString('DashBoardScreen'),
      items: [
        KFDrawerItem.initWithPage(
          text: Text(
            'DashBoard',
            style: TextStyle(color: Colors.white),
          ),
          icon: Icon(Icons.dashboard_sharp, color: Colors.white),
          page: DashBoardScreen(onMenuIconPressed: onMenuIconPressed),
        ),
        KFDrawerItem.initWithPage(
          text: Text(
            'Account',
            style: TextStyle(color: Colors.white),
          ),
          icon: Icon(Icons.account_box, color: Colors.white),
          page: HomeScreen(onMenuIconPressed: onMenuIconPressed),
        ),
        KFDrawerItem.initWithPage(
          text: Text('Leads', style: TextStyle(color: Colors.white)),
          icon: Icon(Icons.leaderboard, color: Colors.white),
          page: LeadScreen(onMenuIconPressed: onMenuIconPressed),
        ),
        KFDrawerItem.initWithPage(
          text: Text(
            'Contacts',
            style: TextStyle(color: Colors.white),
          ),
          icon: Icon(Icons.contacts, color: Colors.white),
          page: ContactScreen(onMenuIconPressed: onMenuIconPressed),
        ),
        KFDrawerItem.initWithPage(
          text: Text(
            'Task',
            style: TextStyle(color: Colors.white),
          ),
          icon: Icon(Icons.table_view, color: Colors.white),
          page: ContactScreen(onMenuIconPressed: onMenuIconPressed),
        ),
        /*KFDrawerItem.initWithPage(
          text: Text(
            'Theme',
            style: TextStyle(color: Colors.white),
          ),
          icon: Icon(Icons.color_lens_sharp, color: Colors.white),
          page: ThemePickerSelect(onMenuIconPressed: onMenuIconPressed),
        ),*/
      ],
    );
  }

  Future<void> onMenuIconPressed() async {
    getStringValuesSF();
    this.mounted;
  }

  getStringValuesSF() async {
    SharedPreferences prefs = await SharedPreferences.getInstance();
    //Return int
    String stringValue = prefs.getString(AppStrings.PRIMARY_THEME_COLOR);

    if (stringValue != null) {
      int colorCodeInt = int.parse(stringValue);
      setState(() {
        colors = [Color(colorCodeInt), AppColors.APP_COLOR_WHITE];
        //  MenuComponent(drawerController: _drawerController,signOutFunction:signOutFunction,color:colors);
        this.mounted;
      });
    }
  }

  @override
  Widget build(BuildContext context) {
    return WillPopScope(
        onWillPop: () {
          getStringValuesSF();
          _drawerController.close();
          /*    Navigator.pushAndRemoveUntil(
              context,
              PageRouteBuilder(pageBuilder: (BuildContext context, Animation animation,
                  Animation secondaryAnimation) {
                return SignUpScreen();
              }, transitionsBuilder: (BuildContext context, Animation<double> animation,
                  Animation<double> secondaryAnimation, Widget child) {
                return new SlideTransition(
                  position: new Tween<Offset>(
                    begin: const Offset(1.0, 0.0),
                    end: Offset.zero,
                  ).animate(animation),
                  child: child,
                );
              }),
                  (Route route) => false);*/
          return;
        },
        child: MenuComponent(
          drawerController: _drawerController,
          signOutFunction: signOutFunction,
          versionName: "1.0.0",
          color: colors,
          logo: Image.asset(
            ImageAssets.LOGO_WITH_NAME,
            height: MediaQuery.of(context).size.height * 0.2,
          ),
        ));
  }

  Future<void> signOutFunction() async {
    await FirebaseAuth.instance.signOut();
    await signOutGoogle(context);

    MenuComponentState.color = [
      AppColors.APP_COLOR_PRIMARY,
      AppColors.APP_COLOR_WHITE
    ];
  }
}
