import 'dart:convert';
import 'package:flutter/material.dart';
import 'package:example/Constants/AppColors.dart';
import 'package:bui_component/MultiStageComponent/json_schema.dart';

class MultiStageScreen extends StatefulWidget {
  @override
  _MultiStageScreenState createState() => _MultiStageScreenState();
}

class _MultiStageScreenState extends State<MultiStageScreen> {
  String form = json.encode({
    //'title': 'Test Form Json Schema',
    //'description': 'My Description',
    'autoValidated': false,
    'fields': [
      {
        'key': 'input1',
        'type': 'email',
        'label': 'Email',
        'placeholder': "Enter Your Username",
        'required': 'True',
        'keyboardType': 'email'
      },
      {
        'key': 'FirstName',
        'type': 'input',
        'label': 'FirstName',
        'required': true,
        'keyboardType': 'password',
        'validator': 'digitsOnly',
      },
      {
        'key': 'Id',
        'type': 'input',
        'label': 'ID',
        'required': true,
        'keyboardType': 'password',
        'validator': 'digitsOnly',
      },
    ]
  });

  static String validationExample(field, value) {
    String pattern =
        r'^(?=.*?[A-Z])(?=.*?[a-z])(?=.*?[0-9])(?=.*?[!@#\$&*~]).{8,}$';
    RegExp regExp = new RegExp(pattern);

    if (value.isEmpty) {
      return 'Please enter some text';
    }
    if (value.length < 8) {
      return 'Password is too short';
    }

    if (!regExp.hasMatch(value)) {
      return 'Password contains Minimum 1 Upper case Minimum 1 lowercase Minimum 1 Numeric Number Minimum 1 Special Character Common Allow Character ( ! @ # \$ & * ~ )';
    }
    return null;
  }

  dynamic response;

  Map decorations = {
    'input1': InputDecoration(
      prefixIcon: Icon(Icons.email),
      border: OutlineInputBorder(),
    ),
    'FirstName': InputDecoration(
      prefixIcon: Icon(Icons.person),
      border: OutlineInputBorder(),
    ),
    'Id': InputDecoration(
      prefixIcon: Icon(Icons.phone_android),
      border: OutlineInputBorder(),
    ),
    'tareatext1': InputDecoration(
      prefixIcon: Icon(Icons.description),
      border: OutlineInputBorder(),
    ),
    'password1': InputDecoration(
        prefixIcon: Icon(Icons.lock), border: OutlineInputBorder()),
  };

  Map validations = {'password1': validationExample};
  Map errorText = {
    'input1': "Error Value",
    'password1': "Enter the Password",
  };

  @override
  Widget build(BuildContext context) {
    return new Scaffold(
      appBar: AppBar(
        backgroundColor: AppColors.APP_COLOR_PRIMARY,
        title: Text('MultiStage Form'),
        centerTitle: true,
      ),
      body: new SingleChildScrollView(
        child: Form(
          //key: _formkey,
          child: new Center(
            child: new Column(children: <Widget>[
              new Text(
                "Login Form",
                style: TextStyle(fontSize: 30.0, fontWeight: FontWeight.bold),
              ),
              new JsonSchema(
                calendarColor: AppColors.APP_COLOR_PRIMARY,
                decorations: decorations,
                form: form,
                validations: validations,
                errorMessages: errorText,
                onChanged: (dynamic response) {
                  this.response = response;
                },
                actionSave: (data) {},
                //autovalidateMode: AutovalidateMode.onUserInteraction,
                buttonSave: true,
              ),
              /*       new JsonFormGenerator(
                form: form,
                onChanged: (dynamic value) {

                  setState(() {
                    this.response = value;
                  });
                },
              ),
              new RaisedButton(
                  child: new Text('Send'),
                  onPressed: () {
                    if (_formkey.currentState.validate()) {

                    }
                  })*/
            ]),
          ),
        ),
      ),
    );
  }

  void functionCall() {}
}
