import 'package:bui_component/Constants/SvgPictures.dart';
import 'package:bui_component/OnBoardingScreenComponent.dart';
import 'package:flutter/material.dart';
import 'SignUpScreen.dart';
import 'package:example/Constants/AppColors.dart';
import 'package:shared_preferences/shared_preferences.dart';
import 'package:example/Constants/AppStrings.dart';

class OnBoardingScreen extends StatefulWidget {
  @override
  _OnBoardingScreenState createState() => _OnBoardingScreenState();
}

class _OnBoardingScreenState extends State<OnBoardingScreen> {
  List<Widget> items = [
    buildPage("Feature", Colors.red, SvgPictures.NEW_CART_SVG,
        'Simplead is a lead Management System,\nLead management is a set of methodologies,\nsystems, and practices designed to generate new\npotential business clientele, generally operated\nthrough a variety of marketing campaigns\nor programs.'),
    buildPage("Advanced", Colors.blue, SvgPictures.NEW_CART_SVG, 'Test2'),
    buildPage("Sales force", Colors.brown, SvgPictures.NEW_CART_SVG, 'Test3'),
    buildPage("Sales force", Colors.brown, SvgPictures.NEW_CART_SVG, 'Test4')
  ];

  @override
  void initState() {
    // TODO: implement initState
    super.initState();
    //_onCountryChange(code);
    getStringValuesSF();
  }

  Color theme = AppColors.APP_COLOR_PRIMARY;
  SharedPreferences prefs;

  getStringValuesSF() async {
    prefs = await SharedPreferences.getInstance();
    //Return int
    String stringValue = prefs.getString(AppStrings.PRIMARY_THEME_COLOR);
    if (stringValue != null) {
      int colorCodeInt = int.parse(stringValue);

      setState(() {
        theme = Color(colorCodeInt);
        this.mounted;
      });
    }
  }

  @override
  Widget build(BuildContext context) {
    return OnBoardingScreenComponent(
      items: items,
      signInMethod: signInMethod,
      skipMethod: skipMethod,
      themeColor: theme ?? AppColors.APP_COLOR_PRIMARY,
    );
  }

  Future<void> signInMethod() async {
    Navigator.push(context,
        MaterialPageRoute(builder: (BuildContext context) => SignUpScreen()));
  }

  Future<void> skipMethod() async {
    /*Navigator.pushReplacement(context,
        MaterialPageRoute(builder: (BuildContext context) => SignUpScreen()));*/
    Navigator.push(context,
        MaterialPageRoute(builder: (BuildContext context) => SignUpScreen()));
  }
}
