import 'package:bui_component/MenuComponent.dart';
import 'package:example/Constants/AppColors.dart';
import 'package:example/Constants/AppStrings.dart';
import 'package:example/Screen/DashBoardScreen.dart';
import 'package:example/Screen/HomeScreen.dart';
import 'package:example/Screen/SettingScreen.dart';
import 'package:flutter/material.dart';
import 'package:shared_preferences/shared_preferences.dart';

typedef T Constructor<T>();

final Map<String, Constructor<Object>> _constructors =
    <String, Constructor<Object>>{};

void register<T>(Constructor<T> constructor) {
  _constructors[T.toString()] = constructor;
}

class ClassBuilder {
  static void registerClasses() {
    register<DashBoardScreen>(
        () => DashBoardScreen(onMenuIconPressed: () async {
              SharedPreferences prefs = await SharedPreferences.getInstance();
              //Return int
              String stringValue =
                  prefs.getString(AppStrings.PRIMARY_THEME_COLOR);

              if (stringValue != null) {
                int colorCodeInt = int.parse(stringValue);

                MenuComponentState.color = [
                  Color(colorCodeInt),
                  AppColors.APP_COLOR_WHITE
                ];
                //  MenuComponent(drawerController: _drawerController,signOutFunction:signOutFunction,color:colors);

              } else {
                MenuComponentState.color = [
                  AppColors.APP_COLOR_PRIMARY,
                  AppColors.APP_COLOR_WHITE
                ];
              }
            }));
    register<HomeScreen>(() => HomeScreen(onMenuIconPressed: () async {
          SharedPreferences prefs = await SharedPreferences.getInstance();
          //Return int
          String stringValue = prefs.getString(AppStrings.PRIMARY_THEME_COLOR);

          if (stringValue != null) {
            int colorCodeInt = int.parse(stringValue);

            MenuComponentState.color = [
              Color(colorCodeInt),
              AppColors.APP_COLOR_WHITE
            ];
            //  MenuComponent(drawerController: _drawerController,signOutFunction:signOutFunction,color:colors);

          } else {
            MenuComponentState.color = [
              AppColors.APP_COLOR_PRIMARY,
              AppColors.APP_COLOR_WHITE
            ];
          }
        }));
    register<SettingScreen>(() => SettingScreen());
  }

  static dynamic fromString(String type) {
    return _constructors[type]();
  }
}
