import 'dart:async';
import 'dart:io';

import 'package:flutter/widgets.dart';
import 'package:http/http.dart' as http;
import 'package:example/constants/server_url.dart';
import 'package:example/utils/CustomExecption.dart';
import 'package:example/utils/InternetExecption.dart';
import 'package:example/utils/logger.dart';

import '../main.dart';

enum HTTPMethod { GET, POST }

class APIClient {
  var responseBody;
  var _headers;

  var attempted = 0;

  static APIClient getInstance() {
    return new APIClient();
  }

  Future<String> callAPI(
      BuildContext context, String requestUrl, HTTPMethod httpMethod,
      {bool isHeader = true, dynamic requestBody}) async {
    try {
      String url = ServerUrl.BASE_URL + requestUrl;
      var response;
      Logger.logMessage(Log.INFO, 'APICall : $url');
      Logger.logMessage(Log.INFO, 'APICall : ${MyHomePageState.user_token}');

      //if (isHeader && MyHomePageState.ACCESS_TOKEN != null) {
      if (isHeader && MyHomePageState.user_token != null) {
        _headers = {
          'Content-type': 'application/json',
          'Accept': 'application/json',
          'authorization': MyHomePageState.user_token
        };
        Logger.logMessage(Log.INFO, 'APICall Header : $_headers');
      } else {
        _headers = {
          'Content-type': 'application/json',
          'Accept': 'application/json'
        };
      }
      switch (httpMethod) {
        case HTTPMethod.POST:
          {
            Logger.logMessage(
                Log.INFO, 'APICall Body :' + requestBody.toString());
            response =
                await http.post(url, headers: _headers, body: requestBody);
          }
          break;
        case HTTPMethod.GET:
          response = await http.get(url, headers: _headers);
          break;
      }
      Logger.logMessage(Log.INFO, 'APICall' + response.body.toString());
      /* MyPlatformState.networkValue =
        await MyApp.platform.invokeMethod("getInternetSpeed");*/
      if (response.statusCode == 200) {
        responseBody = response.body.toString();
      } else if (response.statusCode == 500) {
        responseBody = response.body.toString();
      } else {
        throw new CustomException(
            'In api_client.callAPI() : Unhandled Http response code (StatusCode=${response.statusCode}) in $requestUrl');
      }
      /*   } else {
        throw new NoInternetException(
            'In api_client.callAPI() : No Internet Connection calling $requestUrl');
      }*/
    }

    /*on TimeoutException catch (e, stacktrace) {
      MyPlatformState.networkValue = -1;
      throw new NoInternetException(
          'In api_client.callAPI() : No Internet Connection calling $requestUrl');
    } on SocketException catch (e, stacktrace) {
      MyPlatformState.networkValue = -1;
      throw new NoInternetException(
          'In api_client.callAPI() : No Internet Connection calling $requestUrl');
    } */
    on NoInternetException catch (e) {
      throw e;
    } catch (e, stackTrace) {
      throw new CustomException(
          'In api_client.callAPI() : Unhandled Http response : $e');
    }
    return responseBody;
  }
/*Future<String> callAuthAPI(BuildContext context) async {


    String authUrl = AppStrings.LOGIN_URL +
        "?" +
        AppStrings.LOGIN_ID +
        "=" +
        MyApp.LOGIN_ID_VALUE +
        "&" +
        AppStrings.PASSWORD_HASH +
        "=" +
        MyApp.PASSWORD_HASH_VALUE +
        "&" +
        AppStrings.CLIENT_ACCESSKEY +
        "=" +
        MyApp.CLIENT_ACCESS_KEY_VALUE;

    String responseBody = await callAPI(context, authUrl, HTTPMethod.GET, false,
        doRetryOnError: false);

    Map<String, dynamic> _loginResponse = json.decode(responseBody);
    if (_loginResponse['Status'] == 'SUCCESS') {
      MyApp.updateAuthToken(_loginResponse[AppStrings.AUTH_TOKEN]);
      return responseBody;
    } else if (_loginResponse['Status'] == 'ERROR') {
      return responseBody;
    } else {
      MyApp.logout();
      Navigator.of(context).pushNamedAndRemoveUntil(
          LoginPage.tag, (Route<dynamic> route) => false);
    }
  }*/
}
