class BaseResponseAPI {
  final bool status;
  final dynamic data;
  final String message;

  BaseResponseAPI({this.status, this.data, this.message});

  factory BaseResponseAPI.fromJson(Map<String, dynamic> json) {
    return BaseResponseAPI(
      status: json['Status'] as bool,
      message: json['Message'] as String,
      data: json['Data'] as dynamic,
    );
  }
}

class BaseResponseArrayAPI {
  final bool status;
  final List<dynamic> data;
  final String message;

  BaseResponseArrayAPI({this.status, this.data, this.message});

  factory BaseResponseArrayAPI.fromJson(Map<String, dynamic> json) {
    return BaseResponseArrayAPI(
      status: json['Status'] as bool,
      message: json['Message'] as String,
      data: json['Data'] as dynamic,
    );
  }
}
