library bui_component;

/******
    Refer License for Terms & Conditions
 ******/
import 'package:flutter/material.dart';

import 'Constants/AppColors.dart';
import 'Constants/fontFamily.dart';


// TODO Created By Harish at Feb 15 2021.
class SplashScreenComponent extends StatefulWidget {
  final String image;
  final Color color;
  final String text;
  final Color backgroundColor = Colors.white;

  final TextStyle styleTextUnderTheLoader = TextStyle(
      fontSize: 18.0, fontWeight: FontWeight.bold, color: Colors.black);

  SplashScreenComponent(
      {Key key,
         this.image,
         this.color,
         this.text,
      })
      : super(key: key);

  @override
  _SplashScreenComponentState createState() => _SplashScreenComponentState();
}

class _SplashScreenComponentState extends State<SplashScreenComponent> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor:
      widget.color != null ? widget.color : AppColors.APP_COLOR_PRIMARY,
      body: InkWell(
        child: Stack(
          fit: StackFit.expand,
          children: <Widget>[
            Column(
              mainAxisAlignment: MainAxisAlignment.start,
              children: <Widget>[
                Visibility(
                  visible: true,
                  child: Expanded(
                    flex: 7,
                    child: Container(
                        child: Column(
                          mainAxisAlignment: MainAxisAlignment.center,
                          children: <Widget>[
                            widget.image != null
                                ? Image.asset(
                              widget.image,
                              height: 300,
                              width: 300,
                              color:widget.backgroundColor,
                            )
                                : Icon(
                              Icons.android,
                              color: Colors.white,
                              size: 100,
                            ),
                            Padding(
                              padding: const EdgeInsets.only(top: 10.0),
                            ),
                          ],
                        )),
                  ),
                ),
                Expanded(
                  child: Column(
                    children: <Widget>[
                      CircularProgressIndicator(
                        backgroundColor: Colors.transparent,
                        valueColor:
                        new AlwaysStoppedAnimation<Color>(Colors.red),
                      ),
                      Container(
                        height: 10,
                      ),
                      Center(
                          child: Text(
                              widget.text != null ? widget.text : "Android",
                              style: TextStyle(

                                  fontFamily: FontFamily.Gilroy,
                                  color: AppColors.APP_COLOR_WHITE))),
                    ],
                  ),
                ),

              ],
            ),
          ],
        ),
      ),
    );
  }
}